
<?php

require_once("ajax_preload.php");

if ($httpreferer){
  if ($ajax_db->getErrorCode()==1){
    die;
  }else{

   $hibanaplo=$_REQUEST["hibanaplo"];

   $statusz=$_REQUEST["statusz"];
   $from_dolg=$_REQUEST["from_dolg"];
   $jegysorszam=iconv_utf8_iso88592($_REQUEST["jegysorszam"]);
   $bizonylat=iconv_utf8_iso88592($_REQUEST["bizonylat"]);	  
   $hibajelenseg=iconv_utf8_iso88592($_REQUEST["hibajelenseg"]);
   $javitas=iconv_utf8_iso88592($_REQUEST["javitas"]);
   $ellenorzes=iconv_utf8_iso88592($_REQUEST["ellenorzes"]);

   $lez_dolg=$_REQUEST["lez_dolg"];
   if ($lez_dolg==''){
    $lez_dolg=0;
   }

   $lezjegy=iconv_utf8_iso88592($_REQUEST["lezjegy"]);
   $lezosszeg=iconv_utf8_iso88592($_REQUEST["lezosszeg"]);

   $nyit_dolg=$_REQUEST["nyit_dolg"];
   if ($nyit_dolg==''){
    $nyit_dolg=0;
   }

   $nyitjegy=iconv_utf8_iso88592($_REQUEST["nyitjegy"]);
   $nyitosszeg=iconv_utf8_iso88592($_REQUEST["nyitosszeg"]);
   
   $gep=$_REQUEST["gep"];
   $datum = substr($_REQUEST["datum"],0,10);

   if (@checkdate(substr($datum,5,2),substr($datum,8,2),substr($datum,0,4)) and (substr($datum,4,1)=="-" and substr($datum,7,1)=="-")){
      $datum.=' '.date("H:i:s");

//ha átvett gép
      if ($hibanaplo!=''){

	    $sql=sprintf("INSERT INTO pg_hsnaplo (`id_pg_hibanaplo`, `id_pg_statusz`, `bizonylat_szam`, `datum`, `jegysorszam`) 
			  VALUES ('".$hibanaplo."', '".$statusz."', '%s', '".$datum."', '%s')",
			  mysql_real_escape_string($bizonylat),
			  mysql_real_escape_string($jegysorszam));
	    $pg_hsnaplo=$ajax_db->insertOne($sql);	    
	    if ($pg_hsnaplo>0){  
	      $content_popup=$config->getValue("gep_rogzitesok","");
	      $sql=sprintf("UPDATE pg_hibanaplo SET hibajelenseg='%s', jegysorszam='%s', hibajavitasa='%s', ellenorzes='%s', 
			    id_pg_dolgozok_lezart='".$lez_dolg."', id_pg_dolgozok_nyitott='".$nyit_dolg."',
			    lezart_jegysorszam='%s', nyitott_jegysorszam='%s',
			    lezart_osszeg='%s', nyitott_osszeg='%s', atvett='1'
			    where id_pg_hibanaplo='".$hibanaplo."'",
			    mysql_real_escape_string($hibajelenseg),
			    mysql_real_escape_string($jegysorszam),
			    mysql_real_escape_string($javitas),
			    mysql_real_escape_string($ellenorzes),
			    mysql_real_escape_string($lezjegy),
			    mysql_real_escape_string($nyitjegy),
			    mysql_real_escape_string($lezosszeg),
			    mysql_real_escape_string($nyitosszeg));

	      $update_hibanaplo=$ajax_db->updateOne($sql);
	      if ($update_hibanaplo){
		$sql="UPDATE pg_gepek SET id_pg_statusz='".$statusz."', id_pg_dolgozok='".$from_dolg."' where id_pg_gepek='".$gep."'";
		$update_gepek=$ajax_db->updateOne($sql);
		if ($update_gepek){
		  $content_popup=ReinsertBeavAlkatr($_REQUEST,$ajax_db,$hibanaplo,$config);
		}else{
		  $content_popup=$config->getValue("gep_rogzitesnemok","");
		}
	      }else{
		$content_popup=$config->getValue("gep_rogzitesnemok","");
	      }
	    }else{
	      $content_popup=$config->getValue("gep_rogzitesnemok","");
	    }
//ha nem átvett gép
      }else{
	$sql="INSERT INTO pg_gepnaplo (datum, id_pg_dolgozok, id_pg_dolgozok_atadva, id_pg_gepek) 
	      VALUES ('".$datum."', '".$from_dolg."', '0', ".$gep.")";
	$id_pg_gepnaplo=$ajax_db->insertOne($sql);
	if ($id_pg_gepnaplo>0){
	    $sql=sprintf("INSERT INTO pg_hibanaplo (id_pg_gepnaplo,id_pg_gepek, hibajelenseg, id_pg_dolgozok_lezart, id_pg_dolgozok_nyitott, jegysorszam, hibajavitasa, ellenorzes, atvett) 
			  VALUES ('".$id_pg_gepnaplo."','".$gep."', '%s', '0', '0', '%s','%s','%s','1')",
			  mysql_real_escape_string($hibajelenseg),
			  mysql_real_escape_string($jegysorszam),
			  mysql_real_escape_string($javitas),
			  mysql_real_escape_string($ellenorzes));
	    $id_pg_hibanaplo=$ajax_db->insertOne($sql);

	    if ($id_pg_hibanaplo>0){

	      $sql=sprintf("INSERT INTO pg_hsnaplo (`id_pg_hibanaplo`, `id_pg_statusz`, `bizonylat_szam`, `datum`, `jegysorszam`) 
			    VALUES ('".$id_pg_hibanaplo."', '".$statusz."', '%s', '".$datum."', '%s')",
			    mysql_real_escape_string($bizonylat),
			    mysql_real_escape_string($jegysorszam));

	      $pg_hsnaplo=$ajax_db->insertOne($sql);
	      if ($pg_hsnaplo>0){
		$sql="UPDATE pg_gepek SET id_pg_statusz='".$statusz."', id_pg_dolgozok='".$from_dolg."' where id_pg_gepek='".$gep."'";
		$update_gepek=$ajax_db->updateOne($sql);
		if ($update_gepek){
		  $content_popup=ReinsertBeavAlkatr($_REQUEST,$ajax_db,$id_pg_hibanaplo,$config);
		}else{
		  $content_popup=$config->getValue("gep_rogzitesnemok","");
		}
	      }else{                                                    
		$content_popup=$config->getValue("gep_rogzitesnemok","");
	      }
	    }else{
	      $content_popup=$config->getValue("gep_rogzitesnemok","");
	    }
	}else{
	      $content_popup=$config->getValue("gep_rogzitesnemok","");
	}
    }
    }else{
      $content_popup=$config->getValue("datumhiba","");
    }
    $ajax_page->setTag("content_popup", $content_popup);
    $ajax_page->AppendTag("content", $ajax_page->getAppropriateTemplate($config->getValue("templates_path","")."/popup.tmpl.php"));
    
    $ajax_page->out();

  }
}
?>